<?php 
/**
 * @file
 * Administrations functions for the dbee module, on the admin/settings/dbee 
 * page.
 */

/**
 * Form builder; administer dbee module options.
 *
 * Add on option to enable to loggin using either username or email address.
 *
 * @see dbee_admin_form_validate()
 * @see dbee_admin_form_submit()
 * @ingroup forms
 */
function dbee_admin_form($form_state) {
  $form['dbee'] = array(
    '#type' => 'fieldset',
    '#title' => t('DataBase Email Encryption module'),
    '#description' => t('All email addresses are encrypted now'),
  );

  $form['dbee']['loggin'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow to loggin using email address'),
    '#default_value' => variable_get('dbee_loggin_email', 0),
  );

  $form ['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  
  return $form ;
}

/**
 * Validate dbee module options.
 */
function dbee_admin_form_validate($form, &$form_state) {
  // Validating function
if (isset($form_state['values']['loggin']) && !in_array($form_state['values']['loggin'], array('', 0, 1))) {
    form_set_error('loggin', t('The "%setting" setting is not valid', array('%setting' => t('Allow to loggin using email address'))));
  }
}

/**
 * Submit dbee module options.
 */
function dbee_admin_form_submit($form, &$form_state) {
  if ($form_state['values']['loggin'] != variable_get('dbee_loggin_email', 0)) {
    variable_set('dbee_loggin_email', trim(check_plain($form_state['values']['loggin'])));
    drupal_set_message(t('New setting has been saved'));
  }
}