<?php
/**
 * @file
 * Functions for compatibility between dbee module and Views module
 */

 /**
 * Implementation of hook_views_data_alter().
 */
function dbee_views_data_alter(&$data) {
  foreach ($data as $table => $config) {
    foreach ($config as $item => $item_config) {
      if (isset($item_config['field']) && $item_config['field']['handler'] == 'views_handler_field_user_mail') {
        $data[$table][$item]['field']['handler'] = 'views_handler_field_dbee_user_mail';
      }
    }
  }
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function dbee_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'dbee') . '/views',
    ),
    'handlers' => array(
      'views_handler_field_dbee_user_mail' => array(
        'parent' => 'views_handler_field_user_mail',
      ),
    ),
  );
}